## org.eclipse.datatools.connectivity.sqm.core.rte.fe
Class GenericDdlGenerator.SingletonOptionDependency

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlGenerator.SingletonOptionDependency

Enclosing class:
  GenericDdlGenerator

public static class GenericDdlGenerator.SingletonOptionDependency
extends java.lang.Object

Method Summary
`java.lang.Integer` `getMask(java.lang.Class key)`
`static GenericDdlGenerator.SingletonOptionDependency` `getSingletonObject()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSingletonObject

    public static GenericDdlGenerator.SingletonOptionDependency getSingletonObject()

### getMask

    public java.lang.Integer getMask(java.lang.Class key)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.